> ## Documentation Index
> Fetch the complete documentation index at: https://integrate.essentry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Upcoming Invitations



## OpenAPI

````yaml api-reference/openapi.yaml get /locations/{locationId}/invitations
openapi: 3.0.0
info:
  title: essentry API
  version: 0.0.0
servers:
  - url: https://app.essentry.com/api/v2
    description: essentry Cloud
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Pre-Processor
  - name: User Provisioning
  - name: Permanent Identities
  - name: Access Control
  - name: Post-Processor
paths:
  /locations/{locationId}/invitations:
    get:
      tags:
        - Post-Processor
      summary: Get Upcoming Invitations
      operationId: PostProcessor_locationInvitations
      parameters:
        - name: locationId
          in: path
          required: true
          schema:
            type: integer
        - name: endsAfter
          in: query
          required: true
          schema:
            type: string
            format: date-time
          explode: false
        - name: beginsBefore
          in: query
          required: true
          schema:
            type: string
            format: date-time
          explode: false
        - name: updatedSince
          in: query
          required: false
          schema:
            type: string
            format: date-time
          explode: false
        - $ref: '#/components/parameters/Pagination.limit'
        - $ref: '#/components/parameters/Pagination.offset'
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  invitations:
                    type: array
                    items:
                      $ref: '#/components/schemas/ReceptionInvitation'
                  pageInfo:
                    type: object
                    properties:
                      totalCount:
                        type: integer
                    required:
                      - totalCount
                required:
                  - invitations
                  - pageInfo
components:
  parameters:
    Pagination.limit:
      name: limit
      in: query
      required: false
      description: Pagination - How many results to return
      schema:
        type: integer
        maximum: 50
        default: 20
      explode: false
    Pagination.offset:
      name: offset
      in: query
      required: false
      description: Pagination - How many results to skip
      schema:
        type: integer
        default: 0
      explode: false
  schemas:
    ReceptionInvitation:
      type: object
      required:
        - id
        - event
        - contact
        - createdAt
        - updatedAt
      properties:
        id:
          type: integer
        event:
          $ref: '#/components/schemas/Event'
        contact:
          $ref: '#/components/schemas/Contact'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    Event:
      type: object
      required:
        - id
        - name
        - startsAt
        - endsAt
        - locationId
        - hostId
        - createdAt
        - updatedAt
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
        description:
          type: string
        startsAt:
          type: string
          format: date-time
        endsAt:
          type: string
          format: date-time
        locationId:
          type: integer
        hostId:
          type: integer
        draft:
          type: boolean
          description: >-
            While an event is a draft, emails will not be sent and invitations
            are not valid yet. An event cannot become a draft after it has been
            finalized.
        createdAt:
          type: string
          format: date-time
          readOnly: true
        updatedAt:
          type: string
          format: date-time
          readOnly: true
    Contact:
      type: object
      required:
        - id
        - createdAt
        - updatedAt
      properties:
        id:
          type: integer
          readOnly: true
        email:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        birthdate:
          type: string
        companyName:
          type: string
        language:
          $ref: '#/components/schemas/GuestLanguage'
        createdAt:
          type: string
          format: date-time
          readOnly: true
        updatedAt:
          type: string
          format: date-time
          readOnly: true
    GuestLanguage:
      type: string
      enum:
        - CS
        - DE
        - EN
        - ES
        - FR
        - HR
        - HU
        - IT
        - NL
        - PL
        - PT
        - RO
        - RU
        - TR
        - ZH_CN
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````